Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Freeze`

## Overview

    module Freeze

Freeze provides automatic persistence for Ice servants.

### Interface Index

Connection

  A connection to a database (database environment with Berkeley DB).

Evictor

  An automatic Ice object persistence manager, based on the evictor pattern.

EvictorIterator

  An iterator for the objects managed by the evictor.

ServantInitializer

  A servant initializer is installed in an evictor and provides the application with an opportunity to perform custom servant initialization.

Transaction

  A transaction.

### Exception Index

`DatabaseException`

  A Freeze database exception.

`DeadlockException`

  A Freeze database deadlock exception.

`EvictorDeactivatedException`

  This exception is raised if the evictor has been deactivated.

`InvalidPositionException`

  This Freeze Iterator is not on a valid position, for example this position has been erased.

`NoSuchElementException`

  This exception is raised if there are no further elements in the iteration.

`NotFoundException`

  A Freeze database exception, indicating that a database record could not be found.

`TransactionAlreadyInProgressException`

### Struct Index

`CatalogData`

  The catalog keeps information about Freeze Maps and Freeze evictors in a Berkeley Db environment.

`ObjectRecord`

  The evictor uses a number of maps `::Ice::Identity` to `ObjectRecord` as its persistent storage.

`Statistics`

  The evictor maintains statistics about each object.

### Sequence Index

Key

  A database key, represented as a sequence of bytes.

Value

  A database value, represented as a sequence of bytes.

## `Key`

    sequence<byte> Key;

A database key, represented as a sequence of bytes.

## `Value`

    sequence<byte> Value;

A database value, represented as a sequence of bytes.

<<< Previous | Home | Next >>>
`Ice::VersionMismatchException` | Up | `Freeze::CatalogData`